import swc from "unplugin-swc";
import { defineConfig } from "vitest/config";

export default defineConfig({
  test: {
    globals: true,
    root: "./",
    coverage: {
      exclude: ["./processes.config.js", "vitest.config.mts"]
    }
  },
  plugins: [
    // This is required to build the test files with SWC
    swc.vite({
      // Explicitly set the module type to avoid inheriting this value from a `.swcrc` config file
      module: { type: "es6" },
      jsc: {
        transform: {
          useDefineForClassFields: false
        }
      }
    })
  ]
});
